.contact-wrapper {

}

.contact {
  display: flex;
  flex-direction: column;
}

.contact__heading {
  font-weight: 700;
  font-size: 34px;
  line-height: 41px;
  text-align: center;
  margin-bottom: 48px;
  color: var(--white-normal);
  max-width: 660px;
  align-self: center;
}

.contact-form {
  background: rgba(255, 255, 255, 0.02);
  border-radius: 8px;
  max-width: 855px;
  width: 100%;
  align-self: center;
  padding: 32px 36px 32px 32px;
  display: grid;
  grid-template-columns: 1fr 345px;
  grid-column-gap: 20px;
}

.contact-form-left {
  display: grid;
  grid-row-gap: 16px;
}

.contact-form-left__input {
  background: rgba(255, 255, 255, 0.02);
  border: 1px solid rgba(255, 255, 255, 0.05);
  border-radius: 4px;
  padding: 12px 14px;
  font-size: 17px;
  line-height: 21px;
  color: var(--white-normal);
  width: 100%;
}

.contact-form-left__textarea {
  padding: 12px 14px;
  background: rgba(255, 255, 255, 0.02);
  border: 1px solid rgba(255, 255, 255, 0.05);
  border-radius: 4px;
  font-size: 17px;
  line-height: 21px;
  color: var(--white-normal);
  width: 100%;
  resize: none;
  height: 136px;
}

.contact-form-left-checkbox {
  font-size: 14px;
  line-height: 17px;
  color: var(--gray);
  display: flex;
  align-items: center;
  column-gap: 12px;
  cursor: pointer;
  user-select: none;
}

.contact-form-left-checkbox-switcher {
  background: rgba(255, 255, 255, 0.05);
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 10px;
  width: 40px;
  height: 20px;
  position: relative;
  transition: border-color .2s, background-color .2s;
}

.contact-form-left-checkbox__input:checked + .contact-form-left-checkbox-switcher {
  background: var(--green-normal);
  border-color: var(--green-normal);
}

.contact-form-left-checkbox-switcher:hover {
  background: rgba(255, 255, 255, 0.1);
}

.contact-form-left-checkbox-switcher__point {
  position: absolute;
  top: 1px;
  left: 1px;
  transition: left .2s, background-color .2s;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.1);
}

.contact-form-left-checkbox__input:checked + .contact-form-left-checkbox-switcher .contact-form-left-checkbox-switcher__point {
  background: var(--white-normal);
  left: 22px;
}


.contact-form-left__submit-btn {
  background: #0FAE96;
  border-radius: 4px;
  font-size: 17px;
  line-height: 21px;
  text-align: center;
  color: var(--white-normal);
  width: 100%;
  padding: 14px;
}

/* RIGHT FORM PART */

.contact-form-right {
  display: flex;
  flex-direction: column;
}

.contact-form-right-links {
  display: flex;
  flex-direction: column;
  row-gap: 16px;
  margin-bottom: 28px;
}

.contact-form-right-links-item {
  display: flex;
  align-items: center;
  font-size: 17px;
  line-height: 21px;
  color: var(--gray)
}

.contact-form-right-links-item__icon {
  margin-right: 8px;
}

.contact-form-right-map {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
}

.contact-form-right-map-box {
  background: url("../../img/index/contact/map-placeholder.png") no-repeat center / 100% 100%;
  flex-grow: 1;
  position: relative;
}

.contact-form-right-map-box__point {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background: rgba(15, 174, 150, 0.5);
  position: absolute;
  top: 45%;
  left: 40%;
}

.contact-form-right-map-box__point::after {
  content: "";
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: var(--green-normal);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.contact-form-right-map-box-actions {
  position: absolute;
  right: 16px;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  flex-direction: column;
  row-gap: 20px;
  background: rgba(255, 255, 255, 0.1);
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 100px;
  backdrop-filter: blur(40px);
  padding: 8px 6px;
}

.contact-form-right-map-box-actions-item {
  line-height: 0;
}

.contact-links-mobile {
  display: none;
}

.contact-form-right-map-box-location {
  display: none;
}

.contact-form-right__mobile-heading {
  display: none;
}

@media (max-width: 1200px) {
  .contact__heading {
    font-size: 21px;
    line-height: 25px;
    margin-bottom: 32px;
  }

  .contact-links-mobile {
    display: flex;
    column-gap: 24px;
    margin-bottom: 32px;
  }

  .contact-links-mobile-link {
    display: flex;
    align-items: center;
    column-gap: 8px;
    font-size: 12px;
    line-height: 15px;
    color: var(--gray);
    word-break: break-word;
  }

  .contact-links-mobile-link__icon {

  }

  .contact-form {
    grid-template-columns: 1fr;
    grid-row-gap: 96px;
    padding: 0;
    background: none;
  }

  .contact-form-left {
    background: rgba(255, 255, 255, 0.02);
    border-radius: 8px;
    display: grid;
    grid-row-gap: 16px;
    padding: 24px 16px;
    border: 1px solid #0FAE96;
  }

  .contact-form-left__input {
    padding: 12px;
    font-size: 14px;
    line-height: 17px;
  }

  .contact-form-left__textarea {
    padding: 12px;
    font-size: 14px;
    line-height: 26px;
    height: 112px;
  }

  .contact-form-left-checkbox {
    column-gap: 16px;
    font-size: 11px;
    line-height: 26px;
    letter-spacing: -0.2px;
  }

  .contact-form-left-checkbox-switcher {

  }

  .contact-form-left-checkbox__input:checked + .contact-form-left-checkbox-switcher {

  }

  .contact-form-left-checkbox-switcher:hover {

  }

  .contact-form-left-checkbox-switcher__point {

  }

  .contact-form-left-checkbox__input:checked + .contact-form-left-checkbox-switcher .contact-form-left-checkbox-switcher__point {

  }


  .contact-form-left__submit-btn {
    padding: 12px;
  }

  /* RIGHT FORM PART */

  .contact-form-right {

  }

  .contact-form-right-links {
    display: none;
  }

  .contact-form-right-links-item {
    display: flex;
    align-items: center;
    font-size: 17px;
    line-height: 21px;
    color: var(--gray)
  }

  .contact-form-right-links-item__icon {

  }

  .contact-form-right__mobile-heading {
    display: flex;
    justify-content: center;
    text-align: center;
    margin-bottom: 32px;
    font-weight: 700;
    font-size: 21px;
    line-height: 25px;
    color: var(--white-normal)
  }

  .contact-form-right-map {
    align-items: center;
  }

  .contact-form-right-map-box {
    width: 100%;
    max-width: 346px;
    height: 302px;
  }

  .contact-form-right-map-box-location {
    position: absolute;
    left: 16px;
    bottom: 16px;
    background: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(40px);
    border-radius: 100px;
    padding: 4px 10px;
    display: flex;
    align-items: center;
    column-gap: 8px;
    font-size: 12px;
    line-height: 15px;
    color: var(--white-normal)
  }

  .contact-form-right-map-box-location__icon {

  }

  .contact-form-right-map-box__point {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background: rgba(15, 174, 150, 0.5);
    position: absolute;
    top: 45%;
    left: 40%;
  }

  .contact-form-right-map-box__point::after {
    content: "";
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: var(--green-normal);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .contact-form-right-map-box-actions {
    position: absolute;
    right: 16px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    row-gap: 20px;
    background: rgba(255, 255, 255, 0.1);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 100px;
    backdrop-filter: blur(40px);
    padding: 8px 6px;
  }

  .contact-form-right-map-box-actions-item {
    line-height: 0;
  }
}
